.filter--bar {
  &--container{
    border-top: 1px solid $grey-line;
    border-bottom: 1px solid $grey-line;
    padding: 1rem 0;
    margin: 1rem auto;
  }

  // The ordering of the products
  &--ordering{
    @include wider-than(tablet){
      @include span( 4, 12, $last:true );
      float: right;
    }
    select{ width: 100%; }
  }
}

.extended--filter{
  // The filter toggle
  &--toggle{
    @include theme_button( $grey-dark, white );
    font-size: 0.6875rem;
    float: left;

    &:hover{
      cursor: pointer;
    }

    &::after{
      content: "";
    }
  }

  &--list{
    left: 0;
    .js &{ left: -100%; }
    display: block;
    position: fixed;
    width: 22rem;
    min-width: 27vw;
    top: 0;
    height: 100%;
    z-index: 10;
    background-color: white;
    box-shadow: 0 0 10px fade-out( black, 0.7 );
    padding: 3rem 1.185rem;

    $speed: 0.42s;
    $ease: cubic-bezier(.04,.56,.71,.99);
    &.open {
      animation: slide--in__left $speed $ease forwards;
      z-index: 100;
    }

    &.closed {
      animation: slide--out__left $speed $ease forwards;
    }
  }

  &--item{
    &--title{
      display: block;
      ~ select{
        width: 100%;
        margin-bottom: 1rem;
      }
    }
  }
}


body{
  position: relative;
  left: 0;
  transition: left 0.24s $curve 0.24s;
  &.filter__active{
    left: 100px;
  }
  &.filter__inactive{
    left: 0;
  }
}


/**
 * Price filter widget
 */
.widget_price_filter {
  .price_slider {
    margin-bottom: 1em;
  }

  .price_slider_amount {
    text-align: right;
    line-height: 2.4;
    font-size: 0.8751em;

    .button {
      font-size: 1.15em;
    }

    .button {
      float: left;
    }
  }

  .ui-slider {
    position: relative;
    text-align: left;
    margin-left: .5em;
    margin-right: .5em;
  }

  .ui-slider .ui-slider-handle {
    position: absolute;
    z-index: 2;
    width: 1em;
    height: 1em;
    border-radius: 1em;
    cursor: ew-resize;
    outline: none;
    top: -.3em;

    //&:last-child {
      margin-left: -.5em;
    //}
  }

  .ui-slider .ui-slider-range {
    position: absolute;
    z-index: 1;
    font-size: .7em;
    display: block;
    border: 0;
    border-radius: 1em;
  }

  .price_slider_wrapper .ui-widget-content {
    border-radius: 1em;
    border: 0;
  }

  .ui-slider-horizontal {
    height: .5em;
  }

  .ui-slider-horizontal .ui-slider-range {
    top: 0;
    height: 100%;
  }

  .ui-slider-horizontal .ui-slider-range-min {
    left: -1px;
  }

  .ui-slider-horizontal .ui-slider-range-max {
    right: -1px;
  }
}